# Uses of Class
org.opensaml.saml.common.SAMLVersion

Packages that use SAMLVersion
Package
Description
org.opensaml.saml.common
Base classes for working with SAML as Java objects.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of SAMLVersion in org.opensaml.saml.common

Fields in org.opensaml.saml.common declared as SAMLVersion
Modifier and Type
Field
Description
`static final SAMLVersion`
SAMLVersion.`VERSION_10`
SAML version 1.0.
`static final SAMLVersion`
SAMLVersion.`VERSION_11`
SAML Version 1.1.
`static final SAMLVersion`
SAMLVersion.`VERSION_20`
SAML Version 2.0.
Methods in org.opensaml.saml.common that return SAMLVersion
Modifier and Type
Method
Description
`protected SAMLVersion`
AbstractSAMLObjectUnmarshaller.`parseSAMLVersion(Attr attribute)`
Parse `SAMLVersion` instance from the specified DOM attribute.
`static final SAMLVersion`
SAMLVersion.`valueOf(int majorVersion, int minorVersion)`
Gets the SAMLVersion given the major and minor version number.
`static final SAMLVersion`
SAMLVersion.`valueOf(String version)`
Gets the SAMLVersion for a given version string, such as "2.0".

## Uses of SAMLVersion in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return SAMLVersion
Modifier and Type
Method
Description
`SAMLVersion`
Assertion.`getVersion()`
Gets the SAML version for this message.
`SAMLVersion`
RequestAbstractType.`getVersion()`
Gets the SAML version of this message.
`SAMLVersion`
ResponseAbstractType.`getVersion()`
Gets the SAML version for this message.
Methods in org.opensaml.saml.saml1.core with parameters of type SAMLVersion
Modifier and Type
Method
Description
`void`
Assertion.`setVersion(SAMLVersion version)`
Set the SAML version of this assertion.
`void`
RequestAbstractType.`setVersion(SAMLVersion version)`
Sets the SAML version of this message.
`void`
ResponseAbstractType.`setVersion(SAMLVersion version)`
Sets the SAML version for this message.

## Uses of SAMLVersion in org.opensaml.saml.saml1.core.impl

Fields in org.opensaml.saml.saml1.core.impl declared as SAMLVersion
Modifier and Type
Field
Description
`private SAMLVersion`
AssertionImpl.`version`
SAML version of this assertion.
`private SAMLVersion`
RequestAbstractTypeImpl.`version`
Version of this SAML message.
`private SAMLVersion`
ResponseAbstractTypeImpl.`version`
Message version.
Methods in org.opensaml.saml.saml1.core.impl that return SAMLVersion
Modifier and Type
Method
Description
`SAMLVersion`
AssertionImpl.`getVersion()`
Gets the SAML version for this message.
`SAMLVersion`
RequestAbstractTypeImpl.`getVersion()`
Gets the SAML version of this message.
`SAMLVersion`
ResponseAbstractTypeImpl.`getVersion()`
Gets the SAML version for this message.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type SAMLVersion
Modifier and Type
Method
Description
`void`
AssertionImpl.`setVersion(SAMLVersion newVersion)`
Set the SAML version of this assertion.
`void`
RequestAbstractTypeImpl.`setVersion(SAMLVersion newVersion)`
Sets the SAML version of this message.
`void`
ResponseAbstractTypeImpl.`setVersion(SAMLVersion newVersion)`
Sets the SAML version for this message.

## Uses of SAMLVersion in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return SAMLVersion
Modifier and Type
Method
Description
`SAMLVersion`
Assertion.`getVersion()`
Gets the SAML Version of this assertion.
`SAMLVersion`
RequestAbstractType.`getVersion()`
Gets the SAML Version of this request.
`SAMLVersion`
StatusResponseType.`getVersion()`
Gets the SAML Version of this response.
Methods in org.opensaml.saml.saml2.core with parameters of type SAMLVersion
Modifier and Type
Method
Description
`void`
Assertion.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this assertion.
`void`
RequestAbstractType.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this request.
`void`
StatusResponseType.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this response.

## Uses of SAMLVersion in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as SAMLVersion
Modifier and Type
Field
Description
`private SAMLVersion`
AssertionImpl.`version`
SAML Version of the assertion.
`private SAMLVersion`
RequestAbstractTypeImpl.`version`
SAML Version of the request.
`private SAMLVersion`
StatusResponseTypeImpl.`version`
SAML Version attribute.
Methods in org.opensaml.saml.saml2.core.impl that return SAMLVersion
Modifier and Type
Method
Description
`SAMLVersion`
AssertionImpl.`getVersion()`
Gets the SAML Version of this assertion.
`SAMLVersion`
RequestAbstractTypeImpl.`getVersion()`
Gets the SAML Version of this request.
`SAMLVersion`
StatusResponseTypeImpl.`getVersion()`
Gets the SAML Version of this response.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type SAMLVersion
Modifier and Type
Method
Description
`void`
AssertionImpl.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this assertion.
`void`
RequestAbstractTypeImpl.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this request.
`void`
StatusResponseTypeImpl.`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this response.